const Supervisor = artifacts.require("Supervisor");
const SupervisedToken = artifacts.require("SupervisedToken");

const main = async () => {
  const supervisor = await Supervisor.deployed();
  console.log(supervisor.address);
  const token = await SupervisedToken.new(
    "Test Token",
    "TST",
    supervisor.address,
    "0x63fAe14B601c83120704D37A7f78eB65057dD615"
  );
  console.log("deployed to ", token.address);
};

module.exports = cb => main().then(cb);
