const Supervisor = artifacts.require("Supervisor");
const AnnotationDatabase = require("@abacusprotocol/protocol/artifacts/json/AnnotationDatabase.json");
const ProviderRegistry = require("@abacusprotocol/protocol/artifacts/json/ProviderRegistry.json");

module.exports = async deployer => {
  await deployer.deploy(
    Supervisor,
    AnnotationDatabase.networks['4'].address,
    ProviderRegistry.networks['4'].address
  );
  const supervisor = await Supervisor.deployed();
  await supervisor.registerProvider("Abacus Supervisor", "", true);
};
